Bug 585821 - devkit-disks-probe-ata-smart causes HSM Violations on SSD, and potential hardware death
Summary: devkit-disks-probe-ata-smart causes HSM Violations on SSD, and potential hard...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: libatasmart
Version: 13
Hardware: i686
OS: Linux
low
high
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-26 06:39 UTC by dufgrinder
Modified: 2011-06-27 15:52 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 15:52:51 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 445852 0 None None None Never

Description dufgrinder 2010-04-26 06:39:53 UTC
Description of problem:
SSD drive stall on Acer Aspire One.
File /var/log/messages traces the following:
ata2.00: cmd c8/00:40:cb:60:32/00:00:00:00:00/e0 tag 0 dma 32768 in
res 58/00:40:cb:60:32/00:00:00:00:00/e0 Emask 0x2 (HSM violation)

This bug has been found by Ubuntu users (ID #445852).

The described workaround works :

Setting libata.dma=0 to grub seems to have stopped the hang on my AAO so far, the entries in dmesg are gone.

Version-Release number of selected component (if applicable):


How reproducible:
From time to time at boot time and often at gnome session open time (not systematic).


Additional info:
N/A

Comment 1 Steven Bularca 2010-05-31 21:06:43 UTC
Hi,

I am experiencing this bug on my AspireOne as well, can you describe what you mean by "potential hardware death" in more detail? Thanks.




ata2: lost interrupt (Status 0x58)
ata2: drained 4096 bytes to clear DRQ.
ata2.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6 frozen
ata2.00: BMDMA stat 0x4
ata2.00: failed command: READ DMA
ata2.00: cmd c8/00:08:80:08:2f/00:00:00:00:00/e0 tag 0 dma 4096 in
         res 58/00:08:80:08:2f/00:00:00:00:00/e0 Emask 0x2 (HSM violation)
ata2.00: status: { DRDY DRQ }
ata2: soft resetting link
ata2.00: configured for UDMA/66
ata2: EH complete

Comment 2 Bug Zapper 2011-06-02 14:51:46 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2011-06-27 15:52:51 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.